import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { CascaderOption, NzModalRef } from 'ng-zorro-antd';
import { DEF } from '../../../../api';
export declare class IdentityWorkingGroupUpdateComponent implements OnInit {
    private nzModalRef;
    record: DEF.Identity.WorkingGroup;
    saving: boolean;
    formGroup: FormGroup;
    cities: Array<CascaderOption>;
    constructor(nzModalRef: NzModalRef);
    ngOnInit(): void;
    handleOk(): void;
    handleCancel(): void;
}
